> Calendly developer docs. For page Markdown, append .md to any URL.
> Index: https://developer.calendly.com/llms.txt
> API catalog: https://developer.calendly.com/.well-known/api-catalog
> OpenAPI: https://developer.calendly.com/openapi/calendly-api.yaml
> OAuth authorization server: https://calendly.com/.well-known/oauth-authorization-server
> MCP protected resource: https://mcp.calendly.com/.well-known/oauth-protected-resource
> Scheduling MCP endpoint: https://mcp.calendly.com
> Docs search MCP: https://developer.calendly.com/_mcp/server

# Update Contact List

PATCH https://api.calendly.com/contact_lists/{uuid}
Content-Type: application/json

Renames a List or View. Only the name can change. You cannot change the filters of a View with this API.

A List name that is taken returns 409. A View name can match another name. The default All Contacts View cannot be renamed and returns 409.

> `contacts:write`

Reference: https://developer.calendly.com/api-docs/calendly-api/contacts/update-contact-list

## Authentication

- `Authorization` header (bearer token, required) — OAuth 2.0
- `Authorization` header (bearer token, required) — Personal Access Token

## Request

### Path parameters

- `uuid` (string, required) — The UUID of the contact list, from the end of its `uri`.

### Body (application/json)

This endpoint expects an UpdateContactListRequest.

- `name` (string, required) — The new name. Leading and trailing whitespace is removed. The result must contain 1 to 255 characters. A List name must not match the name of another List. A View name can match another name.

## Response

### 200

OK

- `resource` (ContactList, required) — A saved grouping of contacts. A `static_list` (a List in Calendly) contains the contacts that a user adds and removes. A `dynamic_view` (a View in Calendly) is defined by saved filters, so its contacts change automatically.

## Errors

### 400 Bad Request Error

Request is not valid

- `title` (enum, required)
  - Allowed values: `Internal Server Error`
- `message` (enum, required)
  - Allowed values: `The server encountered an unexpected condition that prevented it from fulfilling the request.`
- `details` (list of ErrorResponseDetailsItem, optional)

### 401 Unauthorized Error

Cannot authenticate caller

- `title` (enum, required)
  - Allowed values: `Internal Server Error`
- `message` (enum, required)
  - Allowed values: `The server encountered an unexpected condition that prevented it from fulfilling the request.`
- `details` (list of ErrorResponseDetailsItem, optional)

### 403 Forbidden Error

Permission Denied or insufficient scope

- `Update-contact-listRequestForbiddenError`
  - ContactListsError: ContactListsError
  - InsufficientScopeError: InsufficientScopeError

### 404 Not Found Error

Requested resource not found

- `title` (enum, required)
  - Allowed values: `Internal Server Error`
- `message` (enum, required)
  - Allowed values: `The server encountered an unexpected condition that prevented it from fulfilling the request.`
- `details` (list of ErrorResponseDetailsItem, optional)

### 409 Conflict Error

The List name is taken, or the View cannot be renamed

- `title` (enum, required)
  - Allowed values: `Internal Server Error`
- `message` (enum, required)
  - Allowed values: `The server encountered an unexpected condition that prevented it from fulfilling the request.`
- `details` (list of ErrorResponseDetailsItem, optional)

### 429 Too Many Requests Error

Too Many Requests

- `title` (enum, required)
  - Allowed values: `Internal Server Error`
- `message` (enum, required)
  - Allowed values: `The server encountered an unexpected condition that prevented it from fulfilling the request.`
- `details` (list of ErrorResponseDetailsItem, optional)

### 500 Internal Server Error

An error has occurred on the server

- `title` (enum, required)
  - Allowed values: `Internal Server Error`
- `message` (enum, required)
  - Allowed values: `The server encountered an unexpected condition that prevented it from fulfilling the request.`
- `details` (list of ErrorResponseDetailsItem, optional)

## Types

### ContactList

A saved grouping of contacts. A `static_list` (a List in Calendly) contains the contacts that a user adds and removes. A `dynamic_view` (a View in Calendly) is defined by saved filters, so its contacts change automatically.

- `uri` (string, required) — Canonical reference (unique identifier) for the contact list.
- `name` (string, required) — The name of the List or View.
- `type` (enum, required) — `static_list` for a List. `dynamic_view` for a View.
  - Allowed values: `static_list`, `dynamic_view`
- `contact_count` (integer, required, nullable) — The number of contacts on a `static_list`. Always set for a `static_list`. It is `null` for a `dynamic_view`.

### ErrorResponseDetailsItem

- `message` (string, required)
- `parameter` (string, optional)
- `code` (string, optional)

### ContactListsError

Permission Denied

- `title` (enum, required)
  - Allowed values: `Permission Denied`
- `message` (enum, required)
  - Allowed values: `Please upgrade to a paid Calendly account.`, `You do not have permission to access this resource.`

### InsufficientScopeError

Caller does not have required oauth scopes

- `title` (enum, required)
  - Allowed values: `Insufficient scope`
- `message` (enum, required)
  - Allowed values: `This operation requires the scopes listed in the 'required_scopes' array.`
- `required_scopes` (list of string, required)

## Examples

### Renamed List

**Response**

```json
{
  "resource": {
    "uri": "https://api.calendly.com/contact_lists/AAAAAAAAAAAAAAAA",
    "name": "Priority VIP Contacts",
    "type": "static_list",
    "contact_count": 42
  }
}
```

**SDK Code**

```python Renamed List
import requests

url = "https://api.calendly.com/contact_lists/uuid"

headers = {"Authorization": "Bearer <token>"}

response = requests.patch(url, headers=headers)

print(response.json())
```

```javascript Renamed List
const url = 'https://api.calendly.com/contact_lists/uuid';
const options = {method: 'PATCH', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Renamed List
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.calendly.com/contact_lists/uuid"

	req, _ := http.NewRequest("PATCH", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Renamed List
require 'uri'
require 'net/http'

url = URI("https://api.calendly.com/contact_lists/uuid")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Renamed List
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.calendly.com/contact_lists/uuid")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Renamed List
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.calendly.com/contact_lists/uuid', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Renamed List
using RestSharp;

var client = new RestClient("https://api.calendly.com/contact_lists/uuid");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Renamed List
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.calendly.com/contact_lists/uuid")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Rename

**Request**

```json
{
  "name": "Priority VIP Contacts"
}
```

**Response**

```json
{
  "resource": {
    "uri": "https://api.calendly.com/contact_lists/AAAAAAAAAAAAAAAA",
    "name": "Priority VIP Contacts",
    "type": "static_list",
    "contact_count": 42
  }
}
```

**SDK Code**

```python Rename
import requests

url = "https://api.calendly.com/contact_lists/uuid"

payload = { "name": "Priority VIP Contacts" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript Rename
const url = 'https://api.calendly.com/contact_lists/uuid';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"name":"Priority VIP Contacts"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Rename
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.calendly.com/contact_lists/uuid"

	payload := strings.NewReader("{\n  \"name\": \"Priority VIP Contacts\"\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Rename
require 'uri'
require 'net/http'

url = URI("https://api.calendly.com/contact_lists/uuid")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"Priority VIP Contacts\"\n}"

response = http.request(request)
puts response.read_body
```

```java Rename
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.calendly.com/contact_lists/uuid")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"Priority VIP Contacts\"\n}")
  .asString();
```

```php Rename
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.calendly.com/contact_lists/uuid', [
  'body' => '{
  "name": "Priority VIP Contacts"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Rename
using RestSharp;

var client = new RestClient("https://api.calendly.com/contact_lists/uuid");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"Priority VIP Contacts\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Rename
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["name": "Priority VIP Contacts"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.calendly.com/contact_lists/uuid")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```